---
updatedAt: 2026-05-20T06:31:02.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get Ethereum Withdrawable Amount

Returns the total staked amount that can be withdrawn across a customer's 0x02 validators on the network with the given withdrawal address. Withdrawable amount per validator is calculated as 'withdrawable_amount = balance - minimum_deposit - pending_withdrawals'. Withdrawable amount does not include the balances of validators that can be exited and fully withdrawn.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Staking API",
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg",
      "backgroundColor": "#fafafa",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/boss"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key.\n\nTo authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "parameters": {
      "EthereumNetwork": {
        "name": "network",
        "in": "path",
        "description": "Ethereum network",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/EthereumNetwork"
        }
      },
      "WithdrawalAddress": {
        "name": "withdrawal_address",
        "in": "path",
        "description": "Withdrawal address",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/EthereumAddress"
        }
      }
    },
    "responses": {
      "InternalServerError": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "InvalidRequest": {
        "description": "Invalid request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Error response envelope",
              "required": [
                "code",
                "message"
              ],
              "properties": {
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Error code",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters"
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Header 'X-API-Key' missing.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        }
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 500
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A descriptive error message"
          }
        }
      },
      "EthereumAddress": {
        "type": "string",
        "description": "Hex-encoded Ethereum [account or smart contract address](https://ethereum.org/en/developers/docs/accounts/).",
        "format": "hex",
        "pattern": "^0x[a-fA-F0-9]{40}$",
        "example": "0x00000000219ab540356cBB839Cbe05303d7705Fa"
      },
      "EthereumNetwork": {
        "type": "string",
        "description": "Ethereum network",
        "enum": [
          "mainnet",
          "hoodi"
        ]
      },
      "EthereumValidatorWithdrawableAmount": {
        "type": "object",
        "description": "Ethereum withdrawable amount",
        "required": [
          "public_key",
          "network",
          "amount",
          "withdrawal_credentials"
        ],
        "properties": {
          "public_key": {
            "$ref": "#/components/schemas/EthereumAddress"
          },
          "network": {
            "$ref": "#/components/schemas/EthereumNetwork"
          },
          "amount": {
            "$ref": "#/components/schemas/Gwei"
          },
          "withdrawal_credentials": {
            "$ref": "#/components/schemas/EthereumWithdrawalCredentials"
          }
        }
      },
      "EthereumWithdrawableAmount": {
        "type": "object",
        "description": "Ethereum withdrawable amount",
        "required": [
          "protocol",
          "network",
          "currency",
          "amount",
          "pending_withdrawals",
          "withdrawable_validators"
        ],
        "properties": {
          "protocol": {
            "$ref": "#/components/schemas/EthereumProtocol"
          },
          "network": {
            "$ref": "#/components/schemas/EthereumNetwork"
          },
          "currency": {
            "type": "string"
          },
          "amount": {
            "$ref": "#/components/schemas/Gwei"
          },
          "pending_withdrawals": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EthereumValidatorWithdrawableAmount"
            }
          },
          "withdrawable_validators": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EthereumValidatorWithdrawableAmount"
            }
          }
        }
      },
      "EthereumWithdrawalCredentials": {
        "type": "string",
        "format": "hex",
        "pattern": "^0x0(0|1)[a-fA-F0-9]{62}$",
        "example": "0x0092c20062cee70389f1cb4fa566a2be5e2319ff43965db26dbaa3ce90b9df99",
        "description": "Hexadecimal encoded [withdrawal credentials](https://github.com/ethereum/consensus-specs/blob/master/specs/phase0/validator.md#withdrawal-credentials) which can be either a BLS public key or an Ethereum account address.\n\nThis parameter currently accepts ETH1 and BLS withdrawal credentials, but it is considered deprecated after the Capella/Shanghai fork. All users are now advised to use an ETH1 withdrawal address, specified through the `withdrawal_address` parameter as this is required to enable the ongoing accrual of rewards.\n\nFor more information regarding creating withdrawal credentials, please see the official [Ethereum Launchpad FAQ](https://launchpad.ethereum.org/en/faq#withdrawal-credentials)."
      },
      "Gwei": {
        "type": "string",
        "description": "Amount of ETH (denominated in Gwei).",
        "pattern": "^[1-9]\\d{10,}$",
        "example": "32000000000"
      },
      "UnauthorizedError": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 401
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure"
          }
        }
      },
      "EthereumProtocol": {
        "type": "string",
        "description": "Ethereum protocol",
        "enum": [
          "ethereum"
        ]
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/ethereum/{network}/withdrawable-amount/{withdrawal_address}": {
      "parameters": [
        {
          "$ref": "#/components/parameters/EthereumNetwork"
        },
        {
          "$ref": "#/components/parameters/WithdrawalAddress"
        }
      ],
      "get": {
        "summary": "Get Ethereum Withdrawable Amount",
        "operationId": "getEthWithdrawableAmount",
        "tags": [
          "Ethereum"
        ],
        "description": "Returns the total staked amount that can be withdrawn across a customer's 0x02 validators on the network with the given withdrawal address. Withdrawable amount per validator is calculated as 'withdrawable_amount = balance - minimum_deposit - pending_withdrawals'. Withdrawable amount does not include the balances of validators that can be exited and fully withdrawn.",
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EthereumWithdrawableAmount"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Ethereum",
      "description": "Ethereum endpoints"
    }
  ]
}
```